
@extends('layouts.app')
@section('title','Nuevo Rol')
@section('content')
<div class="content-page">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12 col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <div class="header-title">
                            <h4 class="card-title">Nuevo Rol/h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('roles.store') }}" method="post">
                            @csrf
                            @include('admin.roles._form')
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    $(document).ready(function() {
        $('.marcar-todos').click(function() {
            var grupoId = $(this).data('grupo');
            var checked = $(this).prop('checked');
            $('input[type="checkbox"][data-grupo="' + grupoId + '"]').prop('checked', checked);
                // Detectar elementos marcados y mostrar el acordeón
                updateSelectedCount(grupoId);
        });
    });
    function updateSelectedCount(grupoId) {
        var checkedCount = $('input[type="checkbox" ][data-grupo="' + grupoId + '"]:checked').length;
        var totalCount = $('input[type="checkbox"][data-grupo="' + grupoId + '"]').length;
        totalCount=totalCount-1;        
        $('#contador-' + grupoId).html(checkedCount + ' de ' + totalCount  + ' seleccionados');
    }
    $('input[type="checkbox"]').change(function() {
        var grupoId = $(this).data('grupo');
        updateSelectedCount(grupoId);
    });
     // Inicializar contadores
     $('[data-grupo]').each(function() {
        var grupoId = $(this).data('grupo');
        updateSelectedCount(grupoId);
    });
  </script>
@endSection


